"use server";
import { NextResponse } from "next/server";
import type { NextRequest } from "next/server";
import { getUserByAppleEmail } from "~/server/functions";
import { middleware } from "~/middleware";

export const GET = async (request: NextRequest) => {
  const middlewareResponse = await middleware(request);
  if (middlewareResponse) return middlewareResponse;
  try {
    const url = new URL(request.url);
    const appleEmail = url.searchParams.get("appleEmail") ?? "";
    const user = await getUserByAppleEmail(appleEmail);
    return NextResponse.json(user);
  } catch (error) {
    console.error(error);
    return NextResponse.json({ message: "Error" }, { status: 500 });
  }
};
