import { createEnv } from "@t3-oss/env-nextjs";
import { z } from "zod";

export const env = createEnv({

  server: {
    DATABASE_URL: z.string().url(),
    API_KEY: z.string(),
    NODE_ENV: z
      .enum(["development", "test", "production"])
      .default("development"),
    //JWT_SECRET: z.string(),
    //JWT_REFRESH_SECRET: z.string(),
    SKIP_ENV_VALIDATION: z.boolean().optional(),
    ROOT_PATH: z.string(),
  },

  client: {
    NEXT_PUBLIC_API_KEY: z.string(),
  },

  runtimeEnv: {
    DATABASE_URL: process.env.DATABASE_URL,
    API_KEY: process.env.API_KEY,
    NODE_ENV: process.env.NODE_ENV,
    //JWT_SECRET: process.env.JWT_SECRET,
    //JWT_REFRESH_SECRET: process.env.JWT_REFRESH_SECRET,
    NEXT_PUBLIC_API_KEY: process.env.NEXT_PUBLIC_API_KEY,
    SKIP_ENV_VALIDATION: process.env.SKIP_ENV_VALIDATION,
    ROOT_PATH: process.env.ROOT_PATH,
  },

    skipValidation: !!process.env.SKIP_ENV_VALIDATION,
    emptyStringAsUndefined: true,
});
